package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.OrderBean;
import com.wd.workoffice.util.MathUtils;

import java.util.List;

/**
 * Created by flexible on 2018/8/13.
 */

public class SaleProductAdapter extends BaseQuickAdapter<OrderBean, BaseViewHolder> {

    public SaleProductAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, OrderBean item) {
        helper.setText(R.id.tv_name, item.getCustomerName());
        helper.setText(R.id.tv_dep, item.getLaunchDeptName());
        helper.setText(R.id.tv_order, item.getId());
        helper.setText(R.id.tv_person, item.getLaunchUserName());
        helper.setText(R.id.tv_stock,item.getEnterStockName());
        helper.setText(R.id.tv_time, item.getCreatedTime());
        helper.setText(R.id.tv_price, MathUtils.converData(item.getLaunchOrderAmount(),3));
    }
}

